﻿class com.trina.utils.ImageHolder extends MovieClip {
	private var imgContainer:MovieClip;
	private var maskMC:MovieClip;
	private var isMask:Boolean;
	private var image_mcl:MovieClipLoader;
	
	function ImageHolder() {
		this.onLoad = function () {
			init();
		}
	}
	
	private function init() {
		maskMC._visible = false;
		isMask = true;
	}
	
	public function loadImage(file:String, w:Number, h:Number) {
		if (w == undefined || h == undefined) {
			//maskMC._visible = false;
			//isMask = false;
		} else {
			if (w > 0 && h > 0) {
				maskMC = this.attachMovie("ImageHolderMaskMC", "mmc", this.getNextHighestDepth());
				maskMC._width = w;
				maskMC._height = h;
			}
		}
		imgContainer.removeMovieClip();
		imgContainer = this.createEmptyMovieClip("image_mc", this.getNextHighestDepth());
		var mclListener:Object = new Object();
		mclListener.onLoadStart = function(target_mc:MovieClip) {
			
		};
		mclListener.onLoadComplete = function(target_mc:MovieClip) {
			
		};
		mclListener.onLoadInit = function(target_mc:MovieClip) {
			target_mc._parent.showImage(target_mc._width, target_mc._height);
		};
		image_mcl = new MovieClipLoader();
		image_mcl.addListener(mclListener);
		image_mcl.loadClip(file, imgContainer);


	}
	
	private function showImage(w, h) {
		_parent.handleImageLoaded();
		if (isMask) {
			imgContainer._width = maskMC._width;
			imgContainer._height = maskMC._height;
			maskMC._visible = true;
			imgContainer.setMask(maskMC);
		} 
		
	}
	
	public function unloadImage() {
		image_mcl.unloadClip();
		imgContainer.unloadMovie();
	}
}